# Input Reference

Throughout IDA, you will frequently be prompted to enter values in dialog boxes and input fields: an address to jump to, a name for a new label, or a segment to inspect. Each type of input follows specific rules about what formats are accepted and what shortcuts are available.

This reference covers all standard input types.

### How to Enter a Number

You can enter any 'C' expression with constants. Long arithmetic will be used for calculations.

In these expressions, you can use all the names that you have created in your program.

### How to Enter an Address

You should enter an address as a hexadecimal number or a location name. When you enter the address in the hexadecimal format, you can omit the segment part of the address and the current segment will be used. Addresses beyond the program limits are invalid.

Also, you can enter a location name with a displacement:

```
        name+5
```

And finally you can specify a relative address:

```
        +10             0x10 bytes further
        -5              5 bytes backwards
```

If the entered string cannot be recognized as a hexadecimal number or location name, IDA will try to interpret it as an expression using the current script interpreter. The default interpreter is [IDC](/developer/idc/core-concepts.md).

Special addresses: $ - current location (depends on the current [assembler](/core/user-interface/reference/menu-bar-actions/common-actions-5.md#specify-target-assembler)) Examples:

`456` current segment, offset 0x456

`5E` current segment, offset 0x5E

`3000:34` segment 0x3000, offset 0x34

`ds:67` segment pointed by ds, offset 0x67

`0:4000000` [linear address](/core/user-interface/reference/menu-bar-actions/edit.md)

`0x4000000` start a location with the name 'start'

### How to Enter a Segment Value

You must enter a segment base value as a hexadecimal number or a segment name. IDA will warn you if you enter an invalid segment.

You may enter a segment register name too.

### How to Enter an Identifier

An identifier is a name that starts with a letter and contains only letters and digits. The list of allowed characters is specified in the config file [IDA.CFG](/core/user-interface/concepts/configuration-files.md). All names are case-sensitive.

The maximum length of a name is also configured there:

```
        MAX_NAME_LENGTH=120     // Maximal length of new names
```

The default is 120.

{% hint style="warning" %}
Some assemblers have a shorter name length limit.
{% endhint %}

IDA will warn you if you enter an illegal name.

### How to Enter Text

In the text version of IDA, the following keys are available:

| Key                        | Action                   |
| -------------------------- | ------------------------ |
| `Enter`                    | Start a new line         |
| `Ctrl-Enter`               | Finish input             |
| `Esc`                      | Cancel input             |
| `F1`                       | Help                     |
| `Ctrl-U`                   | Undo                     |
| `Ctrl-Y`                   | Delete line              |
| `Ctrl-T`                   | Delete word              |
| `Ctrl-Left` / `Ctrl-Right` | Word left / right        |
| `Ctrl-PgUp` / `Ctrl-PgDn`  | Jump to text start / end |
| `Ctrl-L`                   | Search again             |
| `Ctrl-O`                   | Toggle indent mode       |
| `Ctrl-Q F`                 | Search                   |
| `Ctrl-Q A`                 | Replace                  |
| `Ctrl-Q H`                 | Delete to line start     |
| `Ctrl-Q Y`                 | Delete to line end       |
| `Shift-Arrow`              | Select                   |
| `Shift-Ins`                | Paste                    |
| `Shift-Del`                | Cut                      |
| `Ctrl-Ins`                 | Copy                     |
| `Ctrl-Del`                 | Clear                    |
| `Ctrl-K B`                 | Start selection          |
| `Ctrl-K H`                 | Hide selection           |

Input containing only whitespace is treated as empty input. The system clipboard is also available.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/core/user-interface/reference/input-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
